Bug 1196267 - First and last coordinates of connection Waypoints inside a container are relative to container
Summary: First and last coordinates of connection Waypoints inside a container are rel...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 6.2.0
Assignee: Tihomir Surdilovic
QA Contact: Kirill Gaevskii
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-25 15:40 UTC by Robert (Bob) Brodt
Modified: 2020-03-27 19:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:01:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert (Bob) Brodt 2015-02-25 15:40:35 UTC
Description of problem:
The first and last coordinates of a connection contained in a SubProcess or Lane are relative to that container; all other Waypoints have the correct, diagram-relative coordinates.

Version-Release number of selected component (if applicable):
6.2.0

How reproducible:
Always

Steps to Reproduce:
1. create an embedded Sub Process
2. add a Start and End event to the Sub Process
3. connect these with a Sequence Flow and insert a bendpoint in by dragging the connection

Actual results:
Examining the Process Source shows that the first and last Waypoint in the BPMNEdge DI element for the Sequence Flow are relative to the top-left corner of the embedded Sub Process, instead of being absolute (diagram-relative) coordinates.


Expected results:
All Waypoints should be diagram-relative coordinates

Additional info:

Comment 2 Kris Verlaenen 2015-02-26 02:38:48 UTC
*** Bug 1196403 has been marked as a duplicate of this bug. ***

Comment 5 Tihomir Surdilovic 2015-03-04 14:55:21 UTC
update on master for fix : https://github.com/droolsjbpm/jbpm-designer/commit/229548697


Note You need to log in before you can comment on or make changes to this bug.